Subject: Re: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Grigory Shepelev <[email-masked]>
Date: Mon, 27 Dec 2021 17:27:13 +0300

After the last letter my laptop's motherboard broke. It was replaced
recently but all the data was lost from the SSD due to encryption...
TLDR: I made a backup and reinstalled the system.
But the problem still persists. How can I safely move root's profile into
the user's one?  Tinkering with any root-related things is a danger zone
for me, so I won't do anything on my own until there are any clear
instructions.
As previously: from root "guix pull" works perfectly. From users it has the
same problem (nix-related error).

пт, 17 дек. 2021 г. в 09:59, Maxime Devos <[email-masked]>:

> Grigory Shepelev schreef op vr 17-12-2021 om 09:21 [+0300]:
> > Although I was able to "guix pull" with "sudo", as root user
> > normally. As far as I know guix pull updates only per-user when
> > called.
> > Can I use the result from root somehow?
>
> Determine the full store path of root's guix & run that.
>
> Greetings,
> Maxime
>
>